package com.hzya.frame.sys.integrationtask.classification.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.sys.integrationtask.classification.entity.IntegrationTaskClassificationEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * @description: 任务分类  service
 * @tableName: integration_task_classification
 * @entityName: IntegrationTaskClassificationEntity
 * @author: gjh
 * @history: 1.0
 */
public interface IIntegrationTaskClassificationService extends IBaseService<IntegrationTaskClassificationEntity, String> {

    //新增任务分类
    JsonResultEntity saveTaskClassification(JSONObject jsonObject);

    //修改任务分类
    JsonResultEntity updateTaskClassification(JSONObject jsonObject);

    //删除任务分类
    JsonResultEntity updateTaskClassificationSts(JSONObject jsonObject);

    //查询任务分类
    JsonResultEntity queryTaskClassification(JSONObject jsonObject);
}
