package com.hzya.frame.sys.integrationtask.entity;

import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 集成任务-任务详细策略  entity
 * @tableName: integration_task_details
 * @entityName: IntegrationTaskDetailsEntity
 * @author: gjh
 * @history: 1.0
 */
public class  IntegrationTaskDetailsEntity extends BaseEntity {

	/**  integration_task_id  */
	private String parent_id;
	/** 执行策略 */
	private String task_cron;
	/** N定时Y立即执行
 */
	private String now_execution;

	private Integer sorts;


	public void setSorts(Integer sorts) {
		this.sorts = sorts;
	}

	/** integration_task_id */
	public void setParent_id(String parent_id) {
			this.parent_id = parent_id;
			}
	/** integration_task_id */
	public String getParent_id() {
			return parent_id;
			}


	/** 执行策略 */
	public void setTask_cron(String task_cron) {
			this.task_cron = task_cron;
			}
	/** 执行策略 */
	public String getTask_cron() {
			return task_cron;
			}


	/** N定时Y立即执行
 */
	public void setNow_execution(String now_execution) {
			this.now_execution = now_execution;
			}
	/** N定时Y立即执行
 */
	public String getNow_execution() {
			return now_execution;
			}


}
