package com.hzya.frame.sys.integrationtask.entity;

import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import java.util.List;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 集成任务  entity
 * @tableName: integration_task
 * @entityName: IntegrationTaskEntity
 * @author: gjh
 * @history: 1.0
 */
public class  IntegrationTaskEntity extends BaseEntity {

	/** 任务编码 */
	private String task_code;
	/** 任务名称 */
	private String task_name;
	/** 任务分类 */
	private String task_classes;
	/** 任务策略 */
	private String task_cron;
	/** 任务标识 */
	private String task_tag;
	/** 功能介绍/任务描述 */
	private String fun_info;
	/** 场景id */
	private String sence_id;
	/** 备注 */
	private String remark;
	/** 任务状态 */
	private String task_status;
	/**  无备注  */
	private Integer user_id;
	/**  部署公司  */
	private String org_id;
	/** 服务名称 */
	private String server_name;

	private Integer sorts;
	//任务ID集合
	private List<String> taskIdList;

	/*是否插件*/
	private String plug;
	/*插件id*/
	private  String plug_id;

	public String getPlug() {
		return plug;
	}

	public void setPlug(String plug) {
		this.plug = plug;
	}

	public String getPlug_id() {
		return plug_id;
	}

	public void setPlug_id(String plug_id) {
		this.plug_id = plug_id;
	}



	public void setSorts(Integer sorts) {
		this.sorts = sorts;
	}

	/** 任务编码 */
	public void setTask_code(String task_code) {
			this.task_code = task_code;
			}
	/** 任务编码 */
	public String getTask_code() {
			return task_code;
			}


	/** 任务名称 */
	public void setTask_name(String task_name) {
			this.task_name = task_name;
			}
	/** 任务名称 */
	public String getTask_name() {
			return task_name;
			}


	/** 任务分类 */
	public void setTask_classes(String task_classes) {
			this.task_classes = task_classes;
			}
	/** 任务分类 */
	public String getTask_classes() {
			return task_classes;
			}


	/** 任务策略 */
	public void setTask_cron(String task_cron) {
			this.task_cron = task_cron;
			}
	/** 任务策略 */
	public String getTask_cron() {
			return task_cron;
			}


	/** 任务标识 */
	public void setTask_tag(String task_tag) {
			this.task_tag = task_tag;
			}
	/** 任务标识 */
	public String getTask_tag() {
			return task_tag;
			}


	/** 功能介绍/任务描述 */
	public void setFun_info(String fun_info) {
			this.fun_info = fun_info;
			}
	/** 功能介绍/任务描述 */
	public String getFun_info() {
			return fun_info;
			}


	/** 场景id */
	public void setSence_id(String sence_id) {
			this.sence_id = sence_id;
			}
	/** 场景id */
	public String getSence_id() {
			return sence_id;
			}


	/** 备注 */
	public void setRemark(String remark) {
			this.remark = remark;
			}
	/** 备注 */
	public String getRemark() {
			return remark;
			}


	/** 任务状态 */
	public void setTask_status(String task_status) {
			this.task_status = task_status;
			}
	/** 任务状态 */
	public String getTask_status() {
			return task_status;
			}


	/** 无备注 */
	public void setUser_id(Integer user_id) {
			this.user_id = user_id;
			}
	/** 无备注 */
	public Integer getUser_id() {
			return user_id;
			}


	/** 部署公司 */
	@Override
    public void setOrg_id(String org_id) {
			this.org_id = org_id;
			}
	/** 部署公司 */
	@Override
    public String getOrg_id() {
			return org_id;
			}


	/** 服务名称 */
	public void setServer_name(String server_name) {
			this.server_name = server_name;
			}
	/** 服务名称 */
	public String getServer_name() {
			return server_name;
			}

    public List<String> getTaskIdList() {
        return taskIdList;
    }

    public void setTaskIdList(List<String> taskIdList) {
        this.taskIdList = taskIdList;
    }
}
