package com.hzya.frame.sys.integrationtask.living.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.sys.integrationtask.living.entity.IntegrationTaskLivingDetailsEntity;
import com.hzya.frame.sys.integrationtask.living.entity.IntegrationTaskLivingEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

import java.util.List;

/**
 * @description: 集成任务实例  service
 * @tableName: integration_task_living
 * @entityName: IntegrationTaskLivingEntity
 * @author: gjh
 * @history: 1.0
 */
public interface IIntegrationTaskLivingService extends IBaseService<IntegrationTaskLivingEntity, String> {

    //保存任务实例以及任务实例明细
    JsonResultEntity saveIntegrationTaskLiving(JSONObject jsonObject);

    //根据task_id查询id
    JsonResultEntity queryIntegrationTaskLiving(IntegrationTaskLivingEntity integrationTaskLivingEntity);


    //实例补推 更新实例数据，新增日志数据
    JsonResultEntity updateIntegrationTaskLivingRetrofit(JSONObject jsonObject);

    //根据实例id修改实例数据
    JsonResultEntity updateIntegrationTaskLiving(JSONObject jsonObject);

    //查询单个实例
    JsonResultEntity queryTaskLivingOne(JSONObject jsonObject);

    //筛选明细数据正常与删除
    JsonResultEntity queryTaskLivingDetails(JSONObject jsonObject);
}
