package com.hzya.frame.sys.integrationtask.log.entity;

import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 集成任务日志  entity
 * @tableName: integration_task_log
 * @entityName: IntegrationTaskLogEntity
 * @author: gjh
 * @history: 1.0
 */
public class  IntegrationTaskLogEntity extends BaseEntity {

	/**  integration_task_id  */
	private String task_id;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date start_time;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date end_time;
	/** 耗时 */
	private String diff_time;
	/** 返回结果 */
	private String result;
	/** 服务器名称 */
	private String server_name;
	/** 服务实例名称 */
	private String server_living;
	/** 说明
 */
	private String instructions;

	private Integer sorts;
	private String id;

	private String task_code;
	private String task_name;
	private String task_type;

	public String getTask_type() {
		return task_type;
	}

	public void setTask_type(String task_type) {
		this.task_type = task_type;
	}

	public String getTask_code() {
		return task_code;
	}

	public void setTask_code(String task_code) {
		this.task_code = task_code;
	}

	public String getTask_name() {
		return task_name;
	}

	public void setTask_name(String task_name) {
		this.task_name = task_name;
	}

	@Override
	public String getId() {
		return id;
	}

	@Override
	public void setId(String id) {
		this.id = id;
	}



	public void setSorts(Integer sorts) {
		this.sorts = sorts;
	}

	/** integration_task_id */
	public void setTask_id(String task_id) {
			this.task_id = task_id;
			}
	/** integration_task_id */
	public String getTask_id() {
			return task_id;
			}


	/** 开始时间 */
	public void setStart_time(Date start_time) {
			this.start_time = start_time;
			}
	/** 开始时间 */
	public Date getStart_time() {
			return start_time;
			}


	/** 结束时间 */
	public void setEnd_time(Date end_time) {
			this.end_time = end_time;
			}
	/** 结束时间 */
	public Date getEnd_time() {
			return end_time;
			}


	/** 耗时 */
	public void setDiff_time(String diff_time) {
			this.diff_time = diff_time;
			}
	/** 耗时 */
	public String getDiff_time() {
			return diff_time;
			}


	/** 返回结果 */
	public void setResult(String result) {
			this.result = result;
			}
	/** 返回结果 */
	public String getResult() {
			return result;
			}


	/** 服务器名称 */
	public void setServer_name(String server_name) {
			this.server_name = server_name;
			}
	/** 服务器名称 */
	public String getServer_name() {
			return server_name;
			}


	/** 服务实例名称 */
	public void setServer_living(String server_living) {
			this.server_living = server_living;
			}
	/** 服务实例名称 */
	public String getServer_living() {
			return server_living;
			}


	/** 说明
 */
	public void setInstructions(String instructions) {
			this.instructions = instructions;
			}
	/** 说明
 */
	public String getInstructions() {
			return instructions;
			}


}
