package com.hzya.frame.sys.integrationtask.log.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.sys.integrationtask.log.entity.IntegrationTaskLogDetailEntity;
import com.hzya.frame.sys.integrationtask.log.service.IIntegrationTaskLogDetailService;
import com.hzya.frame.sys.integrationtask.log.dao.IIntegrationTaskLogDetailDao;
import com.hzya.frame.basedao.service.impl.BaseService;

/**
 * @description: 集成任务日志详情  service
 * @tableName: integration_task_log_details
 * @entityName: IntegrationTaskLogDetailEntity
 * @author: gjh
 * @history: 1.0
 */
@Service(value = "integration_task_log_detailsService")
public class IntegrationTaskLogDetailServiceImpl extends BaseService<IntegrationTaskLogDetailEntity, String> implements IIntegrationTaskLogDetailService {

	protected IIntegrationTaskLogDetailDao integrationtasklogdetailDao;

	@Autowired
	public void setIntegrationTaskLogDetailDao(IIntegrationTaskLogDetailDao dao) {
		this.integrationtasklogdetailDao = dao;
		this.dao = dao;
	}
}
