package com.hzya.frame.sys.integrationtask.monitoring.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.sys.integrationtask.monitoring.entity.IntegrationTaskMonitoringEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @description: 集成任务任务监控  service
 * @tableName: integration_task_monitoring
 * @entityName: IntegrationTaskMonitoringEntity
 * @author: gjh
 * @history: 1.0
 */
public interface IIntegrationTaskMonitoringService extends IBaseService<IntegrationTaskMonitoringEntity, String> {
     //当触发器执行的时候，修改任务监控执行次数
     JsonResultEntity updateIntegrationTaskMonitoring(JSONObject jsonObject);

     //监控输出
     JsonResultEntity queryMonitoringExportation(JSONObject jsonObject) throws Exception;

     //保存监控
     JsonResultEntity saveIntegrationTaskMonitoring(JSONObject jsonObject);

     //任务关闭或者删除时候，修改监控sts为N
     JsonResultEntity updateTaskMonitoringSts(JSONObject jsonObject);

     //根据taskid判断是否在监控中存在
     List<IntegrationTaskMonitoringEntity> queryTaskMonitoringOne(JSONObject jsonObject);

     //监控执行与挂起
     JsonResultEntity updateTaskMonitoringCarryAndHang(JSONObject jsonObject);

}
