package com.hzya.frame.sys.integrationtask.classification.entity;

import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import java.util.List;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 任务分类  entity
 * @tableName: integration_task_classification
 * @entityName: IntegrationTaskClassificationEntity
 * @author: gjh
 * @history: 1.0
 */
public class  IntegrationTaskClassificationEntity extends BaseEntity {

	/** 分类编码 */
	private String class_code;
	/** 分类名称 */
	private String class_name;
	/** 上级分类 */
	private String class_superiors;
	/** 排序 */
	private Long sorts;
	/** 组织机构ID */
	private String org_id;
	/** 等级 */
	private String lvl;
	/** 下级结构 */
	private List<IntegrationTaskClassificationEntity> childClassifications;

	public List<IntegrationTaskClassificationEntity> getChildClassifications() {
		return childClassifications;
	}

	public void setChildClassifications(List<IntegrationTaskClassificationEntity> childClassifications) {
		this.childClassifications = childClassifications;
	}

	public String getLvl() {
		return lvl;
	}

	public void setLvl(String lvl) {
		this.lvl = lvl;
	}

	/** 分类编码 */
	public void setClass_code(String class_code) {
			this.class_code = class_code;
			}
	/** 分类编码 */
	public String getClass_code() {
			return class_code;
			}


	/** 分类名称 */
	public void setClass_name(String class_name) {
			this.class_name = class_name;
			}
	/** 分类名称 */
	public String getClass_name() {
			return class_name;
			}


	/** 上级分类 */
	public void setClass_superiors(String class_superiors) {
			this.class_superiors = class_superiors;
			}
	/** 上级分类 */
	public String getClass_superiors() {
			return class_superiors;
			}


	/** 排序 */
	public void setSorts(Long sorts) {
			this.sorts = sorts;
			}
	/** 排序 */
	public Long getSorts() {
			return sorts;
			}


	/** 组织机构ID */
	public void setOrg_id(String org_id) {
			this.org_id = org_id;
			}
	/** 组织机构ID */
	public String getOrg_id() {
			return org_id;
			}


}
