package com.hzya.frame.sys.integrationtask.log.entity;

import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 集成任务日志详情  entity
 * @tableName: integration_task_log_details
 * @entityName: IntegrationTaskLogDetailEntity
 * @author: gjh
 * @history: 1.0
 */
public class  IntegrationTaskLogDetailEntity extends BaseEntity {

	/**  集成任务-实例_id  */
	private String task_linving_id;
	/** 返回结果 */
	private String result;
	/** 原始查询条件 */
	private String query_condition;
	/** 源系统主键 */
	private String root_app_pk;
	/** 原系统单据 */
	private String root_app_bill;
	/** 最新源系统数据详情 */
	private String root_app_new_data;
	/** 最新传输信息 */
	private String new_transmit_info;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date new_push_date;
	/** 是否补推(Y是N不是) */
	private String repair_pust;

	private Integer sorts;

	/*源系统编码*/
	private String root_app_code;
	/*业务日期*/
	private String business_time;
	/*最新推送状态*/
	private String new_push_state;
	/*处理人*/
	private String processor;
    /*处理时间*/
	private String processor_time;
	/*处理备注*/
	private String processor_remark;
	/*最新元数据*/
	private String new_metadata;
    /*任务名称*/
	private String task_name;
	/*任务编码*/
	private String task_code;
	/*任务类型*/
	private String task_type;
	/*说明*/
	private String instructions;

	public String getInstructions() {
		return instructions;
	}

	public void setInstructions(String instructions) {
		this.instructions = instructions;
	}

	public String getTask_name() {
		return task_name;
	}

	public void setTask_name(String task_name) {
		this.task_name = task_name;
	}

	public String getTask_code() {
		return task_code;
	}

	public void setTask_code(String task_code) {
		this.task_code = task_code;
	}

	public String getTask_type() {
		return task_type;
	}

	public void setTask_type(String task_type) {
		this.task_type = task_type;
	}

	public String getRoot_app_code() {
		return root_app_code;
	}

	public void setRoot_app_code(String root_app_code) {
		this.root_app_code = root_app_code;
	}

	public String getBusiness_time() {
		return business_time;
	}

	public void setBusiness_time(String business_time) {
		this.business_time = business_time;
	}

	public String getNew_push_state() {
		return new_push_state;
	}

	public void setNew_push_state(String new_push_state) {
		this.new_push_state = new_push_state;
	}

	public String getProcessor() {
		return processor;
	}

	public void setProcessor(String processor) {
		this.processor = processor;
	}

	public String getProcessor_time() {
		return processor_time;
	}

	public void setProcessor_time(String processor_time) {
		this.processor_time = processor_time;
	}

	public String getProcessor_remark() {
		return processor_remark;
	}

	public void setProcessor_remark(String processor_remark) {
		this.processor_remark = processor_remark;
	}

	public String getNew_metadata() {
		return new_metadata;
	}

	public void setNew_metadata(String new_metadata) {
		this.new_metadata = new_metadata;
	}


	public void setSorts(Integer sorts) {
		this.sorts = sorts;
	}


	/** 集成任务-实例_id */
	public void setTask_linving_id(String task_linving_id) {
			this.task_linving_id = task_linving_id;
			}
	/** 集成任务-实例_id */
	public String getTask_linving_id() {
			return task_linving_id;
			}


	/** 返回结果 */
	public void setResult(String result) {
			this.result = result;
			}
	/** 返回结果 */
	public String getResult() {
			return result;
			}


	/** 原始查询条件 */
	public void setQuery_condition(String query_condition) {
			this.query_condition = query_condition;
			}
	/** 原始查询条件 */
	public String getQuery_condition() {
			return query_condition;
			}


	/** 源系统主键 */
	public void setRoot_app_pk(String root_app_pk) {
			this.root_app_pk = root_app_pk;
			}
	/** 源系统主键 */
	public String getRoot_app_pk() {
			return root_app_pk;
			}


	/** 原系统单据 */
	public void setRoot_app_bill(String root_app_bill) {
			this.root_app_bill = root_app_bill;
			}
	/** 原系统单据 */
	public String getRoot_app_bill() {
			return root_app_bill;
			}


	/** 最新源系统数据详情 */
	public void setRoot_app_new_data(String root_app_new_data) {
			this.root_app_new_data = root_app_new_data;
			}
	/** 最新源系统数据详情 */
	public String getRoot_app_new_data() {
			return root_app_new_data;
			}


	/** 最新传输信息 */
	public void setNew_transmit_info(String new_transmit_info) {
			this.new_transmit_info = new_transmit_info;
			}
	/** 最新传输信息 */
	public String getNew_transmit_info() {
			return new_transmit_info;
			}


	/** 最新推送时间 */
	public void setNew_push_date(Date new_push_date) {
			this.new_push_date = new_push_date;
			}
	/** 最新推送时间 */
	public Date getNew_push_date() {
			return new_push_date;
			}


	/** 是否补推(Y是N不是) */
	public void setRepair_pust(String repair_pust) {
			this.repair_pust = repair_pust;
			}
	/** 是否补推(Y是N不是) */
	public String getRepair_pust() {
			return repair_pust;
			}


}
