package com.hzya.frame.sys.integrationtask.log.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.sys.integrationtask.log.entity.IntegrationTaskLogDetailEntity;
import com.hzya.frame.sys.integrationtask.log.entity.IntegrationTaskLogEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

import java.util.List;

/**
 * @description: 集成任务日志  service
 * @tableName: integration_task_log
 * @entityName: IntegrationTaskLogEntity
 * @author: gjh
 * @history: 1.0
 */
public interface IIntegrationTaskLogService extends IBaseService<IntegrationTaskLogEntity, String> {

    //保存任务日志和任务日志明细
    JsonResultEntity saveIntegrationTaskLog(JSONObject jsonObject);

    //根据任务id task_id查询任务日志id
    JsonResultEntity queryIntegrationTaskLog(IntegrationTaskLogEntity integrationTaskLogEntity);


    //日志输出成excel表格
    JsonResultEntity queryTaskLogExcel(JSONObject jsonObject);

    //查询单个日志
    JsonResultEntity queryTaskLogOne(JSONObject jsonObject);

    //刷选出明细正常与删除数据
    JsonResultEntity queryTaskLogDetail(JSONObject jsonObject);
}
