package com.hzya.frame.sys.integrationtask.monitoring.dao.impl;

import com.hzya.frame.sys.integrationtask.monitoring.entity.IntegrationTaskMonitoringEntity;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.integrationtask.monitoring.dao.IIntegrationTaskMonitoringDao;


/**
 * @description: 集成任务任务监控  dao
 * @tableName: integration_task_monitoring
 * @entityName: IntegrationTaskMonitoringEntity
 * @author: gjh
 * @history: 1.0
 */
@Repository("integration_task_monitoringdao")
public class IntegrationTaskMonitoringDaoImpl extends MybatisGenericDao<IntegrationTaskMonitoringEntity, String> implements IIntegrationTaskMonitoringDao {

    @Override
    public Integer updateIntegrationTaskMonitoring(IntegrationTaskMonitoringEntity integrationTaskMonitoringEntity) {
        //修改最大执行次数
        return super.update("IntegrationTaskMonitoringEntity_updateRunnum",integrationTaskMonitoringEntity);
    }

    public IntegrationTaskMonitoringEntity queryIntegrationTaskMonitoringEntity_countMax(IntegrationTaskMonitoringEntity entity) {
        IntegrationTaskMonitoringEntity o = (IntegrationTaskMonitoringEntity) super.selectOne(getSqlIdPrifx() + "IntegrationTaskMonitoringEntity_countMax", entity);
        return o;
    }
}
