package com.hzya.frame.sys.integrationtask.monitoring.entity;

import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 集成任务任务监控  entity
 * @tableName: integration_task_monitoring
 * @entityName: IntegrationTaskMonitoringEntity
 * @author: gjh
 * @history: 1.0
 */
public class  IntegrationTaskMonitoringEntity extends BaseEntity {

	/**  integration_task_id  */
	private String task_id;
	/** 服务器名称 */
	private String server_name;
	/**  运行次数  */
	private Integer run_num;

	private Integer sorts;

	private String task_code;
	private String task_name;
	private String task_tag;
	private String org_name;
	/*计划时间*/
	private Date plan_time
	/*耗时*/;
	private String diff_time;
	/*执行与挂起状态*/
	private String type;
	private String task_type;

	public String getTask_type() {
		return task_type;
	}

	public void setTask_type(String task_type) {
		this.task_type = task_type;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Date getPlan_time() {
		return plan_time;
	}

	public void setPlan_time(Date plan_time) {
		this.plan_time = plan_time;
	}

	public String getDiff_time() {
		return diff_time;
	}

	public void setDiff_time(String diff_time) {
		this.diff_time = diff_time;
	}

	public String getTask_code() {
		return task_code;
	}

	public void setTask_code(String task_code) {
		this.task_code = task_code;
	}

	public String getTask_name() {
		return task_name;
	}

	public void setTask_name(String task_name) {
		this.task_name = task_name;
	}

	public String getTask_tag() {
		return task_tag;
	}

	public void setTask_tag(String task_tag) {
		this.task_tag = task_tag;
	}

	public String getOrg_name() {
		return org_name;
	}

	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}


	public void setSorts(Integer sorts) {
		this.sorts = sorts;
	}


	/** integration_task_id */
	public void setTask_id(String task_id) {
			this.task_id = task_id;
			}
	/** integration_task_id */
	public String getTask_id() {
			return task_id;
			}


	/** 服务器名称 */
	public void setServer_name(String server_name) {
			this.server_name = server_name;
			}
	/** 服务器名称 */
	public String getServer_name() {
			return server_name;
			}


	/** 运行次数 */
	public void setRun_num(Integer run_num) {
			this.run_num = run_num;
			}
	/** 运行次数 */
	public Integer getRun_num() {
			return run_num;
			}


}
