package com.hzya.frame.sys.integrationtask.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.sys.integrationtask.entity.IntegrationTaskDetailsEntity;
import com.hzya.frame.sys.integrationtask.service.IIntegrationTaskDetailsService;
import com.hzya.frame.sys.integrationtask.dao.IIntegrationTaskDetailsDao;
import com.hzya.frame.basedao.service.impl.BaseService;

/**
 * @description: 集成任务-任务详细策略  service
 * @tableName: integration_task_details
 * @entityName: IntegrationTaskDetailsEntity
 * @author: gjh
 * @history: 1.0
 */
@Service(value = "integration_task_detailsService")
public class IntegrationTaskDetailsServiceImpl extends BaseService<IntegrationTaskDetailsEntity, String> implements IIntegrationTaskDetailsService {

	protected IIntegrationTaskDetailsDao integrationtaskdetailsDao;

	@Autowired
	public void setIntegrationTaskDetailsDao(IIntegrationTaskDetailsDao dao) {
		this.integrationtaskdetailsDao = dao;
		this.dao = dao;
	}
}
