package com.hzya.frame.sys.integrationtask.workshop.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sys.integrationtask.workshop.entity.IntegrationTaskWorkshopEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 任务工坊(IntegrationTaskWorkshop)表服务接口
 *
 * @author xiaoguo
 * @since 2023-08-07 17:03:33
 */
public interface IIntegrationTaskWorkshopService extends IBaseService<IntegrationTaskWorkshopEntity, String>{

    /***
     * 推送场景集成任务
     * @content:
     * @author 👻👻👻👻👻👻👻👻 gjh
     * @date  2023-08-08 15:14
     * @param requestJsonObj
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @exception 场景任务调用时有可能发生异常
     **/
   JsonResultEntity pushBusinessInterface(JSONObject requestJsonObj) throws Exception;
}
