package com.hzya.frame.sys.integrationtask.workshop.service.impl;

import com.hzya.frame.basedao.service.impl.BaseService;
import com.hzya.frame.sys.integrationtask.workshop.dao.IIntegrationTaskWorkshopDetailsDao;
import com.hzya.frame.sys.integrationtask.workshop.entity.IntegrationTaskWorkshopDetailsEntity;
import com.hzya.frame.sys.integrationtask.workshop.service.IIntegrationTaskWorkshopDetailsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 参数列表(IntegrationTaskWorkshopDetails)表服务实现类
 *
 * @author xiaoguo
 * @since 2023-08-10 14:41:37
 */
@Service("integrationTaskWorkshopDetailsService")
public class IntegrationTaskWorkshopDetailsServiceImpl extends BaseService<IntegrationTaskWorkshopDetailsEntity, String> implements IIntegrationTaskWorkshopDetailsService {

    private IIntegrationTaskWorkshopDetailsDao integrationTaskWorkshopDetailsDao;

    @Autowired
	public void setIntegrationTaskWorkshopDetailsDao(IIntegrationTaskWorkshopDetailsDao dao) {
		this.integrationTaskWorkshopDetailsDao = dao;
		this.dao = dao;
	}
}
